Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » SysML 1.4 extension does not install(SysML 1.4 extension does not install)
SysML 1.4 extension does not install [message #1786326] Tue, 01 May 2018 08:48 Go to next message
Michael Ward is currently offline Michael WardFriend
Messages: 2
Registered: May 2018
Junior Member
eclipse.buildId=4.7.3.M20180330-0640
java.version=1.8.0_73

Help > Install Papyrus Additional Components

check SysML 1.4 extension for Papyrus

results in

Problems occurred while performing installation: Operation details

Exception Stack Trace:

java.lang.RuntimeException: Operation details
at org.eclipse.papyrus.infra.discovery.ui.internal.common.PrepareInstallProfileJob.resolve(PrepareInstallProfileJob.java:159)
at org.eclipse.papyrus.infra.discovery.ui.internal.common.PrepareInstallProfileJob.run(PrepareInstallProfileJob.java:109)
at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:119)
Re: SysML 1.4 extension does not install [message #1786364 is a reply to message #1786326] Wed, 02 May 2018 07:17 Go to previous messageGo to next message
Benoit Maggi is currently offline Benoit MaggiFriend
Messages: 129
Registered: March 2013
Location: Bordeaux, France
Senior Member
Hi Michael,

I recommend using
- Eclipse market place : https://marketplace.eclipse.org/content/papyrus-sysml-14
- Update site http://download.eclipse.org/modeling/mdt/papyrus/components/sysml14/
instead of "Install Papyrus Additional Components" (which is a custom installer that should, IMHO, be removed)

That said, if you get an error with the market place installation
(like one of these https://marketplace.eclipse.org/content/papyrus-sysml-14#undefined)

I would be very interested in the steps to reproduce it.

Regards,
BenoƮt
Re: SysML 1.4 extension does not install [message #1786402 is a reply to message #1786364] Wed, 02 May 2018 16:34 Go to previous messageGo to next message
Michael Ward is currently offline Michael WardFriend
Messages: 2
Registered: May 2018
Junior Member
Thanks very much for your response. Your recommendation worked perfectly and SysML 1.4 installed without problems using that route!
Re: SysML 1.4 extension does not install [message #1791926 is a reply to message #1786402] Sat, 07 July 2018 14:53 Go to previous messageGo to next message
Claudio H de Castro is currently offline Claudio H de CastroFriend
Messages: 3
Registered: July 2018
Junior Member
Hi guys,
I am facing problems to install Papyrus SysML extension using the recommended update site and the Marketplace.
I receive the message: "Cannot perform the action. Computing solutions"
After that it request to uninstall UML and install SysML.
After I accept the changes there is a message error "Installing Software has encountered a problem.
An error occurred while collecting items to be installed.
An error occurred while collecting items to be installed
session context was:(profile=_home_claudio_eclipse_modeling-photon_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.google.inject,3.0.0.v201605172100
No repository found containing: osgi.bundle,org.eclipse.papyrus.infra.properties,1.2.0.201703080851
..."
It looks that there is a missing repository.

Where can I find a list of repos?
I am using:
Eclipse Modeling Tools

Version: Photon Release (4.8.0)
Build id: 20180619-1200

Thanks.
Re: SysML 1.4 extension does not install [message #1792367 is a reply to message #1791926] Mon, 16 July 2018 13:36 Go to previous message
Benoit Maggi is currently offline Benoit MaggiFriend
Messages: 129
Registered: March 2013
Location: Bordeaux, France
Senior Member
Hi Claudio,

In short: retry.

More on that:
SysML 1.4 release was stuck for Photon due to some internal discussion on EPLv2.
It should be good now.

Benoit
Previous Topic:Unexpected diagram kind error message in Papyrus 4.0 (editing Oxygen model)
Next Topic:Set interface class operations
Goto Forum:
  


Current Time: Wed Nov 14 01:14:12 GMT 2018

Powered by FUDForum. Page generated in 0.02639 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top